<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetMenuCmds Method (IEdmTaskProperties)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskProperties Interface : GetMenuCmds Method (IEdmTaskProperties)

Visual Basic
C#
C++/CLI

ppoCmds
  Array of EdmTaskMenuCmd structures; one structure for each menu command

Gets the menu commands set with IEdmTaskProperties::SetMenuCmds.

# Syntax

Visual Basic |
--- | ---

    Sub GetMenuCmds( _
       ByRef ppoCmds() As EdmTaskMenuCmd _
    )

C# |
--- | ---

    void GetMenuCmds(
       out EdmTaskMenuCmd[] ppoCmds
    )

C++/CLI |
--- | ---

    void GetMenuCmds(
    &   [Out] array<EdmTaskMenuCmd>^ ppoCmds
    )

#### Parameters

ppoCmds
  Array of EdmTaskMenuCmd structures; one structure for each menu command

# Remarks

The menu commands display in a File Explorer context menu.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskProperties Interface
IEdmTaskProperties Members
Task Add-in Sample

# Availability

SOLIDWORKS PDM Professional 2010